{% extends 'dashboard/base.html' %}

{% block scripts %}
  {{super()}}
  <script src="{{ url_for('static', filename='js/jquery.dataTables.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/dataTables.bootstrap4.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/datatables.js') }}"></script>

  <script type="application/javascript">
    function posicaoAtcChanged() {
      $('#lblCallsignSuffix').html(`_${$('#cmbPosicaoAtc').val()}`);
    }
  </script>
{% endblock %}

{% block page_content %}

<div class="container">
  <h1 class="m-0 font-weight-bold text-primary">Sectors List</h1>

  <div class="table-responsive">
    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
      <tfoot><tr></tr></tfoot>

      <thead><tr><th>Name</th><th>ICAO</th><th>Position</th><th>Frequency</th><th></th></tr></thead>

      <tbody>
        {% for sector in sectores %}
          <tr>

            <!-- sector list item -->
            <form action="{{ url_for('airspace_sectors.editar_sector', riv_id=riv.id, sector_id=sector.id) }}" method="post">
              <input type="hidden" name="riv.id" value="{{ riv.id }}">
              <input type="hidden" name="riv_version" value="{{ riv.version }}">
              <td class="align-middle">{{ sector.nome }}</td>
              <td class="align-middle">{{ sector.callsign }}</td>
              <td class="align-middle">{{ sector.posicao }}</td>
              <td class="align-middle">
                <input
                  type="number"
                  name="frequencia"
                  class="form-control"
                  placeholder="118.000"
                  step="0.005"
                  max="137.000"
                  min="118.000"
                  value="{{sector.frequencia}}"
                  required>
              </td>
              <td class="align-middle">
                <button
                  type="submit"
                  class="btn btn-success">Update</button>
              </td>
            </form><!-- sector list item -->
              
          </tr>
        {% endfor %}
      </tbody>

      <tfoot>
        <tr><th>Name</th><th>ICAO</th><th>Position</th><th>Frequency</th><th></th></tr>
        <tr>  
          <!-- new sector form -->
          <form action="{{ url_for('airspace_sectors.criar_sector', riv_id=riv.id) }}" method="post">
            <input type="hidden" name="riv.id" value="{{ riv.id }}">
            <input type="hidden" name="riv_version" value="{{ riv.version }}">
            <td>
              <input placeholder="Nome" name="nome" class="form-control" required>
            </td>
            <td>
              <div class="input-group mb-3">
                <input
                  name="callsign"
                  placeholder="Callsign"
                  class="form-control"
                  style="text-transform:uppercase"
                  minlength="4"
                  maxlength="6"
                  required>
                <div class="input-group-append">
                  <span class="input-group-text" id="lblCallsignSuffix">_{{ posicoes[0].value }}</span>
                </div>
              </div>
            </td>
            <td>
              <select id="cmbPosicaoAtc" name="posicao" class="form-control" onchange="posicaoAtcChanged(this);" required>
                {% for posicao in posicoes %}
                  <option value="{{ posicao.key }}">{{ posicao.value }}</option>
                {% endfor %}
              </select>
            </td>
            <td>
              <input
                type="number"
                name="frequencia"
                class="form-control"
                placeholder="118.100"
                step="0.005"
                max="137.000"
                min="118.000"
                required>
            </td>
            <td>
              <button
                type="submit"
                class="btn btn-success">Add</button>
            </td>
          </form><!-- new sector form -->
        </tr>
      </tfoot>

    </table>
  </div>


</div>
{% endblock %}
